#!/bin/sh
echo 'name: HTTP
version: 4000.2.3
id: HTTP-4000.2.3-d43a62cd90b5b9e89f8070bc7a258c99

license: BSD3
copyright:
maintainer: Ganesh Sittampalam <http@projects.haskell.org>
stability:
homepage: https://github.com/haskell/HTTP
package-url:
description: The HTTP package supports client-side web programming in Haskell. It lets you set up
             HTTP connections, transmitting requests and processing the responses coming back, all
             from within the comforts of Haskell. It'\''s dependent on the network package to operate,
             but other than that, the implementation is all written in Haskell.
             .
             A basic API for issuing single HTTP requests + receiving responses is provided. On top
             of that, a session-level abstraction is also on offer  (the @BrowserAction@ monad);
             it taking care of handling the management of persistent connections, proxies,
             state (cookies) and authentication credentials required to handle multi-step
             interactions with a web server.
             .
             The representation of the bytes flowing across is extensible via the use of a type class,
             letting you pick the representation of requests and responses that best fits your use.
             Some pre-packaged, common instances are provided for you (@ByteString@, @String@.)
             .
             Here'\''s an example use:
             .
             >
             >    do
             >      rsp <- Network.HTTP.simpleHTTP (getRequest "http://www.haskell.org/")
             >              -- fetch document and return it (as a '\''String'\''.)
             >      fmap (take 100) (getResponseBody rsp)
             >
             >    do
             >      (_, rsp)
             >         <- Network.Browser.browse $ do
             >               setAllowRedirects True -- handle HTTP redirects
             >               request $ getRequest "http://www.haskell.org/"
             >      return (take 100 (rspBody rsp))
category: Network
author: Warrick Gray <warrick.gray@hotmail.com>
exposed: True
exposed-modules: Network.BufferType Network.Stream
                 Network.StreamDebugger Network.StreamSocket Network.TCP
                 Network.HTTP Network.HTTP.Headers Network.HTTP.Base
                 Network.HTTP.Stream Network.HTTP.Auth Network.HTTP.Cookie
                 Network.HTTP.Proxy Network.HTTP.HandleStream Network.Browser
hidden-modules: Network.HTTP.Base64 Network.HTTP.MD5Aux
                Network.HTTP.Utils Paths_HTTP
import-dirs: /usr/lib/ghc-7.0.3/site-local/HTTP-4000.2.3
library-dirs: /usr/lib/ghc-7.0.3/site-local/HTTP-4000.2.3
hs-libraries: HSHTTP-4000.2.3
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: array-0.3.0.2-f538acad67d0b6696484da310d5949cf
         base-4.3.1.0-4582a5bc64f22f03f6d960b4f15c981f
         bytestring-0.9.1.10-3854cb01149a317dd7949605f3224792
         mtl-2.0.1.0-3e464329054b7660133198d73c31aca5
         network-2.3.0.11-145f550aba9da318c48b89998e9d3cb3
         old-time-1.0.0.6-249d424df19da9487f0cb7da3ccb0868
         parsec-3.1.1-2c865593139c5f6458072364965b72ff
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/HTTP-4000.2.3/html/HTTP.haddock
haddock-html: /usr/share/doc/HTTP-4000.2.3/html
' | '/usr/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
